Tag Archives: OOXML strict

OOXML – Bug to bug compatibility needed to Word

As you know I often publish things how good Microsoft office adheres to it’s own standard.

It should be known that LibreOffice needs to produce non-conform OOXML (docx,xlsx etc.) files to be able to open files created with Microsoft Word.

This time linking to the commit message of one of our developers as a proof ­čśë

Advertisements

OOXML Strict and MS Office 2010

One of the benefits of being a student is getting Office 365. I also have Office 2010 so that leaves me with bot Office 2010 and 2016.

Recently I tried to save a Excel file in OOXML Strict and confront my 2010 edition Excel with it.

Unbenannt
This file has been created with a newer version of MS Excel – For opening this file you need a converter. Would you like to download it from Office.com?

The hilarious thing is the following image:

Unbenannt
Source: https://blogs.office.com/2012/08/13/new-file-format-options-in-the-new-office/

 

 

So my Office 2010 should be able to open the Strict OOXml without problems (with this some month old file it actually does). But why is Microsoft frightening the enduser? The best thing is the linked page (from the dialog in the first picture) “Support for Office 2003 has ended“. If you need the converter, it can be found here. UPDATE:Removed link as it broke my Office 2016!!!!

And finally the sentence you were waiting for: Waaait, Office 2010 can open the OOXML strict standard, but not the file saved with Office 2016 with “OOXML strict”. So the “OOXML strict” is not Standard (or there is a biiig bug in Office 2010, which prevents interoperability)…..